<!-- nav bar -->
{include file="%s/templates/_nav.tpl"|args:$plugin_root current_nav="personne"}

<h2>Versements par personne</h2>

<form method="post" id="saisie_taux" action="{$self_url}">
    <div id="menu_versements" class="menu">
        <h3>Choisir le taux de réduction</h3>
        <fieldset>
        {*
            {if $nbTaux == 0}
            <h3 class="warning">Vous devez d'abord sélectionner au moins un taux de réduction dans l'onglet de configuration</h3>
            {/if}
            {if $nbChamps == 0}
            <h3 class="warning">Vous devez d'abord sélectionner au moins un champ pour le nom et le prénom dans l'onglet de configuration</h3>
            {/if}
            {if $nbTaux > 0 && $nbChamps > 0}
*}
            <ul class="reduction">
            {foreach from=$plugin_config->reduction item="reduc"}
            {if $reduc->valeur == 1}
            <li>
            <span class="radio-btn">
                <input type="radio" id="{$reduc->taux}" name="taux_reduction" value="{$reduc->taux}"
{*
                    {if $nbTaux == 1}checked{/if}
*}
 />
                <label for="{$reduc->taux}">{$reduc->taux}{if $reduc->remarque != ""} - {$reduc->remarque}{/if}</label>
            </span>
            </li>
            {/if}
            {/foreach}
            </ul>
{*
            {/if}
*}
        </fieldset>
    </div>
</form>

<fieldset class="noprint">
    <input type="checkbox" class="check_global" id="check_global"
        onclick="cocherDecocherToutesLesPersonnes(check_global)" />
    <label for="check_global">Cliquer pour cocher toutes les lignes</label>
    <button type="button" data-icon="↑" class="icn-btn" id="close_details_personne"
        onclick="montrerMasquerDetails(this.id, 'details.personne', 'toutes les personnes')">Replier toutes les
        personnes</button>
    <input type="submit" value="Générer les reçus" form="versements_personnes"
        onclick="return verifierChoix(this.form)" />
</fieldset>

<form method="post" id="versements_personnes" class="" action="generer_recus.php?type=personne">

    {* Itération sur les personnes *}
    {foreach from=$lesVersements key="rang" item="versement"}
        {if $rang == 0}
            {* 1ère personne *}
            <?php
                $pair = true;
                $personneCourante = $versement->idUser;
                $compteCourant = $versement->idCompte;
            ?>
            {afficher_debut_personne user=$personneCourante idVersement=$personneCourante}
            {afficher_debut_compte idCompte=$compteCourant}
        {elseif $versement.idUser != $personneCourante}
            {* changement de personne *}
            {fin_compte}
            {fin_personne}
            <?php
                $pair = true;
                $personneCourante = $versement->idUser;
                $compteCourant = $versement->idCompte;
            ?>
            {afficher_debut_personne user=$personneCourante idVersement=$personneCourante}
            {afficher_debut_compte idCompte=$compteCourant}
        {elseif $versement.idCompte != $compteCourant}
            {fin_compte}
            {* changement de compte *}
            <?php
                $pair = true;
                $compteCourant = $versement->idCompte;
            ?>
            {afficher_debut_compte idCompte=$compteCourant}
        {else}
            {* même personne, même compte *}
        {/if}
        {afficher_versement versement=$versement idVersement=$personneCourante rang=$rang pair=$pair}
        <?php $pair = ! $pair; ?>
    {/foreach} {* Itération sur les personnes *}
    {fin_compte}
    {fin_personne}

    <input type="submit" value="Générer les reçus" onclick="return verifierChoix(this.form)" />
</form>

{* scripts divers *}
<script src="script.js"></script>

<!-- footer -->
{include file="admin/_foot.tpl"}